Bug 1731487 (MUSIC) - Review Request: MUSIC - The MUltiSimulation Coordinator
Summary: Review Request: MUSIC - The MUltiSimulation Coordinator
Keywords:
Status: CLOSED ERRATA
Alias: MUSIC
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-07-19 14:07 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-10-28 01:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-27 01:09:07 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)
build log failure ppc (447.34 KB, text/plain)
2019-09-09 14:06 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2019-07-19 14:07:15 UTC
Spec URL: https://ankursinha.fedorapeople.org/MUSIC/MUSIC.spec
SRPM URL: https://ankursinha.fedorapeople.org/MUSIC/MUSIC-1.1.15-2.20190717gita78a8e2.fc30.src.rpm

Description: 
MUSIC is an API allowing large scale neuron simulators using MPI internally to
exchange data during runtime.  MUSIC provides mechanisms to transfer massive
amounts of event information and continuous values from one parallel
application to another.  Special care has been taken to ensure that existing
simulators can be adapted to MUSIC.  In particular, MUSIC handles data transfer
between applications that use different time steps and different data
allocation strategies.

This is the MUSIC pilot implementation.

The two most important components built from this software distribution is the
music library `libmusic.a' and the music utility `music'.  A MUSIC-aware
simulator links against the C++ library and can be launched using mpirun
together with the music utility as described below.  MUSIC can also be used
from a C program using the API in music-c.h.

MUSIC is distributed under the GNU General Public License v3.

Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2019-07-19 14:09:23 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=36346224

There seems to be a build failure on ppc related to openmpi. I need to look into it.

Comment 2 Robert-André Mauchin 2019-07-20 20:25:54 UTC
 - Not needed anymore except for EPEL7. F29 and above use transfiletriggers.

# For F28 etc?
%ldconfig_scriptlets


 - You also need to add a

Provides:       bundled(rudeconfig) = 5.0.5-1

 - Not sure which package should own this:

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/mpich/share

 - These man pages, I'm not sure it is ok to install them as such:

MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventcounter.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventcounter.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventgenerator.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventgenerator.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventlogger.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventlogger.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventselect.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventselect.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventsink.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventsink.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventsource.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventsource.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/music.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/music.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/viewevents.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/viewevents.1.gz
MUSIC-mpich-devel.x86_64: W: only-non-binary-in-usr-lib

Subfolders of man/ are either manX or %lang. 
Also I've tested it and the manpage aren't available when called with man.

 - These patch are included but not applied:

MUSIC.src: W: patch-not-applied Patch1: 0002-Make-python-bits-ourselves.patch
MUSIC.src: W: patch-not-applied Patch2: 0003-Make-bundled-rudeconfig-also-follow-all-flags.patch



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License (v3)", "GPL (v3 or later)", "GPL (v2 or later) (with incorrect
     FSF address)", "GPL (v2 or later)", "GPL (v3 or later) (with incorrect
     FSF address)". 568 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/MUSIC/review-
     MUSIC/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/mpich/share
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in MUSIC-
     mpich , MUSIC-mpich-devel , python3-MUSIC-mpich , MUSIC-openmpi ,
     MUSIC-openmpi-devel , python3-MUSIC-openmpi
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: MUSIC-mpich-1.1.15-2.20190717gita78a8e2.fc31.x86_64.rpm
          MUSIC-mpich-devel-1.1.15-2.20190717gita78a8e2.fc31.x86_64.rpm
          python3-MUSIC-mpich-1.1.15-2.20190717gita78a8e2.fc31.x86_64.rpm
          MUSIC-openmpi-1.1.15-2.20190717gita78a8e2.fc31.x86_64.rpm
          MUSIC-openmpi-devel-1.1.15-2.20190717gita78a8e2.fc31.x86_64.rpm
          python3-MUSIC-openmpi-1.1.15-2.20190717gita78a8e2.fc31.x86_64.rpm
          MUSIC-debuginfo-1.1.15-2.20190717gita78a8e2.fc31.x86_64.rpm
          MUSIC-debugsource-1.1.15-2.20190717gita78a8e2.fc31.x86_64.rpm
          MUSIC-1.1.15-2.20190717gita78a8e2.fc31.src.rpm
MUSIC-mpich.x86_64: W: spelling-error %description -l en_US libmusic -> lib music, lib-music, musicality
MUSIC-mpich.x86_64: W: spelling-error %description -l en_US mpirun -> umpire
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventcounter.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventcounter.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventgenerator.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventgenerator.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventlogger.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventlogger.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventselect.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventselect.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventsink.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventsink.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/eventsource.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/eventsource.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/music.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/music.1.gz
MUSIC-mpich.x86_64: E: invalid-locale-man-dir /usr/share/man/mpich-x86_64/man1/viewevents.1.gz
MUSIC-mpich.x86_64: W: file-not-in-%lang /usr/share/man/mpich-x86_64/man1/viewevents.1.gz
MUSIC-mpich-devel.x86_64: W: only-non-binary-in-usr-lib
python3-MUSIC-mpich.x86_64: W: spelling-error %description -l en_US libmusic -> lib music, lib-music, musicality
python3-MUSIC-mpich.x86_64: W: spelling-error %description -l en_US mpirun -> umpire
MUSIC-openmpi.x86_64: W: spelling-error %description -l en_US libmusic -> lib music, lib-music, musicality
MUSIC-openmpi.x86_64: W: spelling-error %description -l en_US mpirun -> umpire
MUSIC-openmpi.x86_64: E: invalid-locale-man-dir /usr/share/man/openmpi-x86_64/man1/eventcounter.1.gz
MUSIC-openmpi.x86_64: W: file-not-in-%lang /usr/share/man/openmpi-x86_64/man1/eventcounter.1.gz
MUSIC-openmpi.x86_64: E: invalid-locale-man-dir /usr/share/man/openmpi-x86_64/man1/eventgenerator.1.gz
MUSIC-openmpi.x86_64: W: file-not-in-%lang /usr/share/man/openmpi-x86_64/man1/eventgenerator.1.gz
MUSIC-openmpi.x86_64: E: invalid-locale-man-dir /usr/share/man/openmpi-x86_64/man1/eventlogger.1.gz
MUSIC-openmpi.x86_64: W: file-not-in-%lang /usr/share/man/openmpi-x86_64/man1/eventlogger.1.gz
MUSIC-openmpi.x86_64: E: invalid-locale-man-dir /usr/share/man/openmpi-x86_64/man1/eventselect.1.gz
MUSIC-openmpi.x86_64: W: file-not-in-%lang /usr/share/man/openmpi-x86_64/man1/eventselect.1.gz
MUSIC-openmpi.x86_64: E: invalid-locale-man-dir /usr/share/man/openmpi-x86_64/man1/eventsink.1.gz
MUSIC-openmpi.x86_64: W: file-not-in-%lang /usr/share/man/openmpi-x86_64/man1/eventsink.1.gz
MUSIC-openmpi.x86_64: E: invalid-locale-man-dir /usr/share/man/openmpi-x86_64/man1/eventsource.1.gz
MUSIC-openmpi.x86_64: W: file-not-in-%lang /usr/share/man/openmpi-x86_64/man1/eventsource.1.gz
MUSIC-openmpi.x86_64: E: invalid-locale-man-dir /usr/share/man/openmpi-x86_64/man1/music.1.gz
MUSIC-openmpi.x86_64: W: file-not-in-%lang /usr/share/man/openmpi-x86_64/man1/music.1.gz
MUSIC-openmpi.x86_64: E: invalid-locale-man-dir /usr/share/man/openmpi-x86_64/man1/viewevents.1.gz
MUSIC-openmpi.x86_64: W: file-not-in-%lang /usr/share/man/openmpi-x86_64/man1/viewevents.1.gz
MUSIC-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
python3-MUSIC-openmpi.x86_64: W: spelling-error %description -l en_US libmusic -> lib music, lib-music, musicality
python3-MUSIC-openmpi.x86_64: W: spelling-error %description -l en_US mpirun -> umpire
MUSIC.src: W: spelling-error %description -l en_US mpirun -> umpire
MUSIC.src: W: patch-not-applied Patch1: 0002-Make-python-bits-ourselves.patch
MUSIC.src: W: patch-not-applied Patch2: 0003-Make-bundled-rudeconfig-also-follow-all-flags.patch
9 packages and 0 specfiles checked; 16 errors, 29 warnings.

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-08-05 19:43:09 UTC
> - These man pages, I'm not sure it is ok to install them as such:

They are correct. They become available after one does 'module load mpi/mpich-x86_64'.
Also the rpmlint errors for this are bogus.

> There seems to be a build failure on ppc related to openmpi. I need to look into it.

mpi4py on openmpi if flaky in rawhide now, and in ppc64le in particular. I wouldn't
worry too much if this is the only failure.

Comment 4 Ankur Sinha (FranciscoD) 2019-08-07 19:25:06 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> > There seems to be a build failure on ppc related to openmpi. I need to look into it.
> 
> mpi4py on openmpi if flaky in rawhide now, and in ppc64le in particular. I
> wouldn't worry too much if this is the only failure.

Would it be OK to exclude arch then? If the ppc build fails, the whole build fails and we won't be able to send it out to users.

Comment 5 Robert-André Mauchin 2019-08-09 14:05:02 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #4)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> > > There seems to be a build failure on ppc related to openmpi. I need to look into it.
> > 
> > mpi4py on openmpi if flaky in rawhide now, and in ppc64le in particular. I
> > wouldn't worry too much if this is the only failure.
> 
> Would it be OK to exclude arch then? If the ppc build fails, the whole build
> fails and we won't be able to send it out to users.

I think it's ok, but you'll need to file a bug report for it as per guidelines

Comment 6 Zbigniew Jędrzejewski-Szmek 2019-08-10 19:55:33 UTC
It's probably better to accept test failure on the architecture (either ignore some specific tests or add "|| :" under %ifarch).
If the package is not available on some architectures, this "cascades" into dependent packages, and
makes things more complicated in general.

Comment 7 Ankur Sinha (FranciscoD) 2019-09-09 14:06:12 UTC
Created attachment 1613186 [details]
build log failure ppc

It isn't a test failure, unfortunately. On ppc, it can't find MPI for openmpi.

Any ideas?

Comment 8 Ankur Sinha (FranciscoD) 2019-10-15 13:26:55 UTC
The build now succeeds on ppc also.

Updated spec/srpm:
https://ankursinha.fedorapeople.org/MUSIC/MUSIC.spec
https://ankursinha.fedorapeople.org/MUSIC/MUSIC-1.1.15-3.20190717gita78a8e2.fc32.src.rpm


- removed ldconfig scriptlets
- add Provides for bundled rudeconfig
- moved the arch independent files to a noarch -common sub-package,
- the "patch not applied" rpmlint errors are wrong, from the build-log:

+ pushd MUSIC-a78a8e2c90b07274db94265db75c320dbb01f9fb
~/build/BUILD/MUSIC-a78a8e2c90b07274db94265db75c320dbb01f9fb/MUSIC-a78a8e2c90b07274db94265db75c320dbb01f9fb ~/build/BUILD/MUSIC-a78a8e2c90b07274db94265db75c320dbb01f9fb
+ echo 'Patch #0 (0001-Enable-testsuite-and-extras-for-mpich2.patch):'
Patch #0 (0001-Enable-testsuite-and-extras-for-mpich2.patch):
+ /usr/bin/patch --no-backup-if-mismatch -p1 --fuzz=0
patching file configure.ac
+ echo 'Patch #1 (0002-Make-python-bits-ourselves.patch):'
Patch #1 (0002-Make-python-bits-ourselves.patch):
+ /usr/bin/patch --no-backup-if-mismatch -p1 --fuzz=0
patching file pymusic/Makefile.am
+ echo 'Patch #2 (0003-Make-bundled-rudeconfig-also-follow-all-flags.patch):'
Patch #2 (0003-Make-bundled-rudeconfig-also-follow-all-flags.patch):
+ /usr/bin/patch --no-backup-if-mismatch -p1 --fuzz=0
patching file rudeconfig/Makefile.am
+ sed -i 's|mpich2version|mpichversion|' c
..


Thanks

Comment 9 Ankur Sinha (FranciscoD) 2019-10-15 13:41:39 UTC
Scratch build  URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=38306197

Comment 10 Robert-André Mauchin 2019-10-15 15:56:37 UTC
LGTM, package approved.

Comment 11 Gwyn Ciesla 2019-10-15 18:24:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/MUSIC

Comment 12 Fedora Update System 2019-10-19 13:00:39 UTC
FEDORA-2019-03ab428e60 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-03ab428e60

Comment 13 Fedora Update System 2019-10-19 18:00:46 UTC
MUSIC-1.1.15-3.20190717gita78a8e2.fc30, nest-2.18.0-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc5c9971b3

Comment 14 Fedora Update System 2019-10-20 17:13:32 UTC
MUSIC-1.1.15-3.20190717gita78a8e2.fc31, nest-2.18.0-7.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-03ab428e60

Comment 15 Fedora Update System 2019-10-27 01:09:07 UTC
MUSIC-1.1.15-3.20190717gita78a8e2.fc30, nest-2.18.0-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-10-28 01:39:05 UTC
MUSIC-1.1.15-3.20190717gita78a8e2.fc31, nest-2.18.0-7.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.